Package opennlp.tools.formats

# Class TwentyNewsgroupSampleStream

java.lang.Object
opennlp.tools.formats.TwentyNewsgroupSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<DocumentSample>`

public class TwentyNewsgroupSampleStream extends Object implements ObjectStream<DocumentSample>
An `ObjectStream` implementation for the Twenty Newsgroups text corpus.

The document collection was created and donated by: Tom Mitchell, School of Computer Science, Carnegie Mellon University.

Details and the data can be found via this DOI: 10.24432/C5C323.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentSample`
  `read()`
  Returns the next `ObjectStream` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.ObjectStream

  `close`

- ## Method Details

  - ### read

    public DocumentSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<DocumentSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<DocumentSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.